//
//  PayModel.h
//  pay
//
//  Created by Jasmin Suljic on 28/09/15.
//  Copyright © 2015 Leftor d.o.o. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CommonCrypto/CommonDigest.h>
#import <NSHash/NSString+NSHash.h>
#import <NSHash/NSData+NSHash.h>

@interface PayModel : NSObject
@property(strong,nonatomic) NSString *merchantId;
@property(strong,nonatomic) NSString *amount;
@property(strong,nonatomic) NSString *currency;
@property(strong,nonatomic) NSString *order_number;
@property(strong,nonatomic) NSString *order_info;
@property(strong,nonatomic) NSString *payment_method;
@property(strong,nonatomic) NSString *pm_alias;
@property(strong,nonatomic) NSString *cvv;
@property(strong,nonatomic) NSString *digest;
@property(strong,nonatomic) NSString *sign;
@property(strong,nonatomic) NSString *clientSecret;


        +(NSDictionary *) mapping;
        +(NSDictionary *) mapForRequest;
        +(NSString *) sha1: (NSString*)input;
        -(void) generateDigest;
@end
