//
//  WebtehWebViewDelegate.m
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "WebtehWebViewDelegate.h"

@interface WebtehWebViewDelegate()
    @property(strong,nonatomic) RedirectResolver *redirectResolver;
@end

@implementation WebtehWebViewDelegate

-(id) init: (RedirectResolver *) redirectResolver{
    self.redirectResolver = redirectResolver;
    return [self init];
}

- (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(NSURLRequest *)request navigationType:(UIWebViewNavigationType)navigationType{
    [self.redirectResolver notifyDelegate:[self.redirectResolver resolve:request.URL.absoluteString] request:request.URL.absoluteString];
    return YES;
}


@end
